FROM registry.access.redhat.com/ubi8/ubi:latest

RUN yum update -y && yum install -y openssh-clients

# Set the working directory to /root
WORKDIR /root

# Add required files in /root
ADD configuration.* /root/
ADD create_vm.sh /root/
ADD prepare_vm.sh /root/
ADD create_snapshot.sh /root/
ADD get_vm_uuid.sh /root/
ADD check_if_vm_exists_in_server.sh /root/
ADD check_if_vm_is_running.sh /root/
ADD get_vm_snapshot_uuid.sh /root/
ADD revert_to_snapshot.sh /root/
ADD remove_vm.sh /root/
ADD cleanup_vm.sh /root/
ADD boot_vm.sh /root/

# deploy common files for all infrastructure managers
ADD configure_ssh.sh /root/
ADD start.sh /root/
ADD deploy_infrastructure_resource.sh /root/
ADD functions.sh /root/
ADD import_configuration.sh /root/

# Specify the start script as the CMD
CMD ["/root/start.sh"]
